Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.customer
Class CustomerValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.axiom.contact.StakeholderValue
                  |
                  +--theory.smart.axiom.contact.PersonValue
                        |
                        +--theory.smart.ebusiness.customer.CustomerValue

public class CustomerValue
extends PersonValue

Stores the information required to do business with a customer. It inherits most attributes from the Person object and adds the ability to authenticate and to bill for product via a credit card.

See Also:
  `Customer`, `CustomerHome`, `Customer.getCustomerByValue()`, `Customer.setCustomerByValue(CustomerValue)`, Serialized Form

Field Summary
`com.sun.java.util.collections.TreeMap` | `creditCards` creditCard (Map) [Customer] <*>------> [`theory.smart.axiom.contact.CreditCard`] 0..*
`java.lang.String` | `password` password [Customer] <*>------> [`String`]

Fields inherited from class theory.smart.axiom.contact.PersonValue
`dob, firstName, lastName, maritalStatus, middleName, motherMaidenName, ssn, suffix, title`

Fields inherited from class theory.smart.axiom.contact.StakeholderValue
`addresses, description, emails, faxes, identifier, phones, urls`

Constructor Summary
`protected` | `CustomerValue()` Only get/setCustomerByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### password

    public java.lang.String password

                        password
       [Customer] <*>------> [String]

### creditCards

    public com.sun.java.util.collections.TreeMap creditCards

                        creditCard (Map)
       [Customer] <*>------> [theory.smart.axiom.contact.CreditCard]
                           0..*

Constructor Detail

### CustomerValue

    protected CustomerValue()

  Only get/setCustomerByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.